#!/bin/bash

ZIP=$1

TDIR=$(mktemp -d --tmpdir=$HOME)
DATADIR=$TDIR/data
mkdir -p $DATADIR

cp /etc/xdg/webkiosk/playlist $TDIR
(cat $TDIR/playlist && echo) | while read data time; do
    data=${data##file://}
    [ -f $data ] && cp $data $DATADIR
done

cd $TDIR && zip -r $ZIP * >/dev/null 2>&1

rm -rf $TDIR

