#!/bin/sh

USERUID=linutop
[ -n "$2" ] && USERUID="$2"
HOMEDIR=$(getent passwd $USERUID | cut -d: -f6)
USERNAME=$(getent passwd $USERUID | cut -d: -f1)

mkdir -p $HOMEDIR/.linutop-kiosk/
cd $HOMEDIR/.linutop-kiosk/
unzip -o $1 >/dev/null 2>&1
mkdir -p /etc/xdg/webkiosk/
mv playlist /etc/xdg/webkiosk/
chown root:root /etc/xdg/webkiosk/playlist
sed -ri "s,file://.*/([^/]+),file://$HOMEDIR/.linutop-kiosk/\1," /etc/xdg/webkiosk/playlist
chown -R $USERUID $HOMEDIR/.linutop-kiosk/

exit 0

